Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore
Class OWLDeleteSimplificationFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
              edu.stanford.smi.protege.model.framestore.DeleteSimplificationFrameStore
                  edu.stanford.smi.protegex.owl.model.framestore.OWLDeleteSimplificationFrameStore

All Implemented Interfaces:
  edu.stanford.smi.protege.model.framestore.FrameStore

    public class OWLDeleteSimplificationFrameStore

extends edu.stanford.smi.protege.model.framestore.DeleteSimplificationFrameStore

A modified DeleteSimplificationFrameStore that does not automatically delete own slot values if the domain of a slot has changed.

Author:
  Holger Knublauch

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`OWLDeleteSimplificationFrameStore()`

Method Summary
`void` | `removeDirectTemplateSlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.DeleteSimplificationFrameStore
`deleteCls, deleteFacet, deleteSimpleInstance, deleteSlot, getClsesToDelete, getSlotsToDelete, removeDirectSuperclass, removeDirectSuperslot`

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
`addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, beginTransaction, beginTransaction, commitTransaction, createCls, createFacet, createSimpleInstance, createSlot, executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectOwnSlotValuesCount, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getEvents, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectTemplateFacetOverrides, removeDirectType, replaceFrame, rollbackTransaction, setDirectOwnSlotValues, setDirectTemplateFacetValues, setDirectTemplateSlotValues`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWLDeleteSimplificationFrameStore

    public OWLDeleteSimplificationFrameStore()

Method Detail

### removeDirectTemplateSlot

    public void removeDirectTemplateSlot(edu.stanford.smi.protege.model.Cls cls,
                                         edu.stanford.smi.protege.model.Slot slot)

  Specified by:
    `removeDirectTemplateSlot` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `removeDirectTemplateSlot` in class `edu.stanford.smi.protege.model.framestore.DeleteSimplificationFrameStore`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.